Package weka.classifiers.misc

# Class HyperPipes

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.misc.HyperPipes

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`

public class HyperPipes extends Classifier
Class implementing a HyperPipe classifier. For each category a HyperPipe is constructed that contains all points of that category (essentially records the attribute bounds observed for each category). Test instances are classified according to the category that "most contains the instance".
Does not handle numeric class, or missing values in test cases. Extremely simple algorithm, but has the advantage of being extremely fast, and works quite well when you have "smegloads" of attributes.

Valid options are:

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

Version:
  $Revision: 5528 $
Author:
  Lucio de Souza Coelho (lucio@intelligenesis.net), Len Trigg (len@reeltwo.com)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HyperPipes()`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildClassifier(Instances instances)`
Generates the classifier.
`double[]`
`distributionForInstance(Instance instance)`
Classifies the given test instance.
`Capabilities`
`getCapabilities()`
Returns default capabilities of the classifier.
`String`
`getRevision()`
Returns the revision string.
`String`
`globalInfo()`
Returns a string describing classifier
`static void`
`main(String[] argv)`
Main method for testing this class.
`String`
`toString()`
Returns a description of this classifier.
`void`
`updateClassifier(Instance instance)`
Updates the classifier.

### Methods inherited from class weka.classifiers.Classifier

`classifyInstance, debugTipText, forName, getDebug, getOptions, listOptions, makeCopies, makeCopy, setDebug, setOptions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HyperPipes

public HyperPipes()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing classifier

Returns:
  a description suitable for displaying in the explorer/experimenter gui

### getCapabilities

public Capabilities getCapabilities()
Returns default capabilities of the classifier.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Classifier`
Returns:
  the capabilities of this classifier
See Also:
  - `Capabilities`

### buildClassifier

public void buildClassifier(Instances instances) throws Exception
Generates the classifier.

Specified by:
  `buildClassifier` in class `Classifier`
Parameters:
  `instances` - set of instances serving as training data
Throws:
  `Exception` - if the classifier has not been generated successfully

### updateClassifier

public void updateClassifier(Instance instance) throws Exception
Updates the classifier.

Parameters:
  `instance` - the instance to be put into the classifier
Throws:
  `Exception` - if the instance could not be included successfully

### distributionForInstance

public double[] distributionForInstance(Instance instance) throws Exception
Classifies the given test instance.

Overrides:
  `distributionForInstance` in class `Classifier`
Parameters:
  `instance` - the instance to be classified
Returns:
  the predicted class for the instance
Throws:
  `Exception` - if the instance can't be classified

### toString

public String toString()
Returns a description of this classifier.

Overrides:
  `toString` in class `Object`
Returns:
  a description of this classifier as a string.

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Classifier`
Returns:
  the revision

### main

public static void main(String[] argv)
Main method for testing this class.

Parameters:
  `argv` - should contain command line arguments for evaluation (see Evaluation).